%global         momorel 3

Name:           perl-Spreadsheet-WriteExcel
Version:        2.40
Release:        %{momorel}m%{?dist}
Summary:        Write to a cross-platform Excel binary file
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Spreadsheet-WriteExcel/
Source0:        http://www.cpan.org/authors/id/J/JM/JMCNAMARA/Spreadsheet-WriteExcel-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-OLE-Storage_Lite >= 0.19
BuildRequires:  perl-Parse-RecDescent
Requires:       perl-File-Temp
Requires:       perl-OLE-Storage_Lite >= 0.19
Requires:       perl-Parse-RecDescent
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Spreadsheet::WriteExcel Perl module can be used to create a cross-
platform Excel binary file. Multiple worksheets can be added to a workbook
and formatting can be applied to cells. Text, numbers, formulas,
hyperlinks, images and charts can be written to the cells.

%prep
%setup -q -n Spreadsheet-WriteExcel-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet/WriteExcel
%{perl_vendorlib}/Spreadsheet/WriteExcel.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-2m)
- rebuild against perl-5.18.2

* Sat Nov  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-2m)
- rebuild against perl-5.18.1

* Sat Jun  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-2m)
- rebuild against perl-5.16.3

* Thu Dec 13 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.38-1m)
- update to 2.38

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-13m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-12m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-11m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-10m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-9m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-8m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.37-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.37-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.37-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-2m)
- rebuild against perl-5.12.0

* Wed Feb 03 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37
- Specfile re-generated by cpanspec 1.78.

* Sat Jan 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Mon Jan 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.35-1m)
- update to 2.35

* Tue Jan  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.33-1m)
- update to 2.33

* Thu Dec 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.32-1m)
- update to 2.32

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.31-1m)
- update to 2.31

* Wed Dec  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.30-1m)
- update to 2.30

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.28-1m)
- update to 2.28

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.26-1m)
- update to 2.26

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.25-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25-2m)
- rebuild against rpm-4.6

* Tue Sep  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.25-1m)
- update to 2.25

* Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.24-1m)
- update to 2.24

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.23-1m)
- update to 2.23

* Sun Jul 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.21-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.21-1m)
- update to 2.21

* Sun Oct  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20
- do not use %%NoSource macro

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.18-2m)
- use vendor

* Sat Jan 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.17-1m)
- spec file was autogenerated
